/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
/**
 * 
 */
package it.laitspa.cpf.model.sogei.tiponotifica;

import it.laitspa.cpf.model.Entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author andrea
 * 
 */
@javax.persistence.Entity
@Table(name = "TAB_SAN_CPF_SOGEI_TIPONOT")
public class TipoNotificaSogei
  extends Entity
{
  /**
   * 
   */
  private static final long   serialVersionUID         = 1L;
  public static final Integer ESITO_ACCETTATO          = new Integer(1);
  public static final Integer ESITO_RIFIUTATO          = new Integer(2);
  public static final Integer SCARTO                   = new Integer(3);
  public static final Integer DECORRENZA_TERMINI       = new Integer(4);

  public static final Integer RICEVUTA_CONSEGNA        = new Integer(5);
  public static final Integer SCARTO_INVIO             = new Integer(6);
  public static final Integer MANCATA_CONSEGNA         = new Integer(7);
  public static final Integer ATTESTAZIONE_NO_RECAPITO = new Integer(8);

  @Id
  @Column(name = "CODI_TIPO_NOTI", nullable = false)
  private Integer             codice;
  @Column(name = "CODI_XXML", nullable = false)
  private String              label;
  @Column(name = "DESC_TIPO", nullable = false)
  private String              descrizione;

  public Integer getCodice()
  {
    return codice;
  }

  public void setCodice(Integer codice)
  {
    this.codice = codice;
  }

  public String getLabel()
  {
    return label;
  }

  public void setLabel(String label)
  {
    this.label = label;
  }

  public String getDescrizione()
  {
    return descrizione;
  }

  public void setDescrizione(String descrizione)
  {
    this.descrizione = descrizione;
  }

}
